/* You can add global styles to this file, and also import other style files */

//fonts
$font_0: Roboto;
$font_1: sans-serif;
$font_aw: FontAwesome;
html, body {
  height: 100%;
}

body {
  font-family: Roboto,sans-serif;
  background: #eee;
  font-weight: 400;
  color: #fff;
  font-size: 16px;
  padding: 0px;
  margin: 0px;
}
.col-md-12{
  width: 100%;
}
.mt0 {
  margin-top: 0px !important;
}

.mt5 {
  margin-top: 5px;
}

.mt10 {
  margin-top: 10px !important;
}





.mat-table {
  margin-bottom: 0px;
  font-size: 16px;
  border-spacing: 0;
  border: 1px solid #5b5b5b;
  width: 100% !important;
  thead {
    th {
      background: #555;
      font-weight: 500;
      color: #f8f8f8;
      padding: 10px 15px;
      text-transform: capitalize;
      border: 1px solid #7c7c7c;
      font-size: 16px;
    }
  }
  tbody {
    td {
      border: 1px solid #7c7c7c;
      background: #eee;
      font-size: 16px;
      padding: 8px 15px;
      color: #333;
      text-transform: capitalize;
    }
  }
  tr.mat-header-row {
    height: auto;
  }
  tr.mat-footer-row, tr.mat-row {
    height: auto;
  }
}
.mat-dialog-container {
  display: block;
  padding: 0px !important;
  border-radius: 4px;
  border: 1px solid #808080;
  box-sizing: border-box;
  overflow: auto;
  outline: 0;
  width: 100%;
  height: 100%;
  min-height: inherit;
  max-height: inherit;
  background: #f8f8f8;
  box-shadow: 0 32px 39px -7px rgba(0, 0, 0, .5), 0 24px 38px 3px rgba(0, 0, 0, .2), 0 9px 46px 8px rgba(0, 0, 0, .2);
}

.custom-modal-title {
  padding: 15px 20px;
  font-weight: 300;
  font-size: 18px;
  color: #fff;
  background: #323539;
  border-bottom: 1px solid #929292;
  margin-bottom: 0px;;
  margin-top: 0px;
}
.mat-form-field {
  display: inline-block;
  position: relative;
  text-align: left;
  margin-right: 10px;
  /* font-size: 14px; */
}

.custom-modal-body {
  padding: 15px 15px;
  min-height: 150px;
}

.btn-submit {
  cursor: default;
  background-color: #0071bc;
  display: inline-block;
  margin: 0;
  font-size: 0.875em;
  font-weight: 400;
  text-align: center;
  text-decoration: none;
  color: #f1f1f1;
  border: 1px solid #aeb0b5;
  transition: background-color 0.3s, border-color 0.3s, color 0.3s;
  padding: 0.2rem 0.8rem;
  width: auto;
  box-shadow: 0px 2px 4px #232323;
  &:hover {
    background-color: #0563a1;
  }
}

.btn-cancel {
  @extend .btn-submit;
  background: #414141;
  margin-left: 10px;
  &:hover {
    background-color: #222;
  }
}



.custom-modal-title {
  padding: 15px 20px;
  font-weight: 300;
  font-size: 18px;
  color: #fff;
  background: #222426;
  border-bottom: 1px solid #929292;
  margin-bottom: 0px;;
}

.custom-modal-body {
  padding: 15px 15px;
  min-height: 150px;
}

.btn-submit {
  cursor: default;
  background-color: #0071bc;
  display: inline-block;
  margin: 0;
  font-size: 0.875em;
  font-weight: 400;
  text-align: center;
  text-decoration: none;
  color: #f1f1f1;
  border: 1px solid #aeb0b5;
  transition: background-color 0.3s, border-color 0.3s, color 0.3s;
  padding: 0.2rem 0.8rem;
  width: auto;
  box-shadow: 0px 2px 4px #232323;
  &:hover {
    background-color: #0563a1;
  }
}

.btn-cancel {
  @extend .btn-submit;
  background: #414141;
  margin-left: 10px;
  &:hover {
    background-color: #222;
  }
}
.mat-drawer {
  background-color: #f8f8f8;
  color: rgba(0,0,0,.87);
}
.mat-card {
  background: #e5e5e5;
  color: rgba(0, 0, 0, 0.87);
}
.mat-elevation-z8{
  border: 1px solid #929292;
  background: #222;
  box-shadow: 0px 1px 2px #555;
  h1{
    color: #fff;
    margin-left: 15px;
    font-size: 22px;
    font-weight: 300;

  }
}
